curl --request GET \
--url https://api.callab.ai/v1/ai-agent/{id} \
--header 'Authorization: Bearer <token>'{
"status": "ok",
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"language": "<string>",
"status": "<string>",
"prompt": "<string>",
"starting_state": "<string>",
"who_talks_first": "<string>",
"reminder_frequency_from": 123,
"reminder_frequency_to": 123,
"max_silence_duration": 123,
"responsiveness": 123,
"voice_speed": 123,
"voice_temperature": 123,
"interruption_sensitivity": 123,
"llm_temperature": 123,
"agent_type": "<string>",
"background_audio_status": "<string>",
"workspace_id": "<string>",
"agent_flow": {},
"agent_dynamic_variables": {},
"agent_post_call_outcomes": {}
}
}Returns a single AI agent based on the ID supplied
curl --request GET \
--url https://api.callab.ai/v1/ai-agent/{id} \
--header 'Authorization: Bearer <token>'{
"status": "ok",
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"language": "<string>",
"status": "<string>",
"prompt": "<string>",
"starting_state": "<string>",
"who_talks_first": "<string>",
"reminder_frequency_from": 123,
"reminder_frequency_to": 123,
"max_silence_duration": 123,
"responsiveness": 123,
"voice_speed": 123,
"voice_temperature": 123,
"interruption_sensitivity": 123,
"llm_temperature": 123,
"agent_type": "<string>",
"background_audio_status": "<string>",
"workspace_id": "<string>",
"agent_flow": {},
"agent_dynamic_variables": {},
"agent_post_call_outcomes": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of AI agent to fetch
AI agent response
ok, error Show child attributes
The name of the AI agent
Description of the AI agent
Language of the AI agent (e.g., 'en-US')
Current status of the AI agent (e.g., 'active', 'inactive')
The base prompt or system message for the AI agent's LLM
The initial state or starting point of the agent's conversation flow
Determines who initiates the conversation (e.g., 'agent', 'caller')
Minimum frequency for reminders if the user is silent (e.g., in seconds)
Maximum frequency for reminders if the user is silent (e.g., in seconds)
Maximum duration of silence before an action (e.g., reminder, hang-up) is triggered (e.g., in seconds)
Controls how quickly the agent responds to user input
Speed of the agent's synthesized voice
Variability/creativity of the agent's synthesized voice
How sensitive the agent is to interruptions from the user
Temperature setting for the LLM, controlling randomness/creativity of responses
Type or category of the AI agent (e.g., 'sales', 'support')
Status of background audio playback (e.g., 'enabled', 'disabled')
Identifier for the workspace this AI agent belongs to
Configuration for the agent's conversation flow (e.g., state machine, script)
Dynamic variables that can be used and populated by the agent during a call
Structured outcomes or data points the agent aims to collect or determine post-call
Was this page helpful?